# Layers

As briefly described in [Base Widget](/v3/usage/basics.md#map-widget), the `children` property takes a list of `Widget`s, which will be stacked on top of each other (last on top). These can be any `Widget`, such as a `FutureBuilder` or `StreamBuilder`, but are usually `Layer`s which are provided by this library or plugins.

There is also the `nonRotatedChildren` property, which work similarly as their 'rotatable' counterpart, but - as the name suggests - do not get rotated as the map gets rotated. For example, the [`AttributionWidget`](/v3/usage/layers/attribution-layer.md) should be used inside `nonRotatedChildren` instead of `children`, as it needs to remain vertical and therefore readable.

As a minimum, all maps should have a [Tile Layer](/v3/usage/layers/tile-layer.md), as this is what actually displays any map. Other layers are available, such as markers/waypoints and lines.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fleaflet.dev/v3/usage/layers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
